#!/bin/sh

GREEN_COLOR="\033[32m"
YELLOW_COLOR="\033[33m"
NORMAL_COLOR="\033[0m"

CURRENT_PWD=$(pwd)
cd "$(dirname $0)"

PLUGIN_NAME=$(basename $PWD)
VERSION=$(sed '/<version>/!d; s/^\s*<version>\([^<]*\)<\/version>.*$/\1/' infos.xml)

cd ..

ZIP_NAME="${CURRENT_PWD}/${PLUGIN_NAME}-$(echo $VERSION | sed 's/\./_/g').zip"

zip -r -o ${ZIP_NAME}  \
	${PLUGIN_NAME}/*.* \
	${PLUGIN_NAME}/lang/*.* \
	${PLUGIN_NAME}/easy-markdown-editor/dist/*.* \
	${PLUGIN_NAME}/parsedown/*.php \
	${PLUGIN_NAME}/css/* \
	${PLUGIN_NAME}/parsedown/composer.json && \
echo "\nNom complet de l'archive du plugin:\n${GREEN_COLOR}${ZIP_NAME}${NORMAL_COLOR}\n"
