#!/usr/bin/env php
<?php
const TARGET = 'lang';
if(!is_dir(TARGET) and mkdir(TARGET)) {
	die('Unable to create ' . TARGET . 'folder');
}

$langs = array('de', 'en', 'es', 'fr', 'it', 'nl', 'oc', 'pl', 'pt', 'ro', 'ru');
$idioms = array(
	'DICT' => array(
		'de' => 'German_de_DE',
		'en' => 'English (American)',
		'es' => 'Spanish',
		'fr' => 'French',
		'it' => 'Italian',
		'nl' => 'Dutch',
		'oc' => '',
		'pl' => 'Polish',
		'pt' => 'Portuguese (European)',
		'ro' => 'Romanian (Modern)',
		'ru' => 'Russian'
	),
	'LANG' => array(
		'de' => 'de_DE',
		'en' => 'en_US',
		'es' => 'es_ES',
		'fr' => 'fr_FR',
		'it' => 'it_IT',
		'nl' => 'ro_RO',
		'oc' => '',
		'pl' => 'pl_PL',
		'pt' => 'pt_PT',
		'ro' => 'ro_RO',
		'ru' => 'ru_RU'
	),
	'COLUMN' => array(
		'de' => 'de_DE',
		'en' => 'Column',
		'es' => 'es_ES',
		'fr' => 'Colonne',
		'it' => 'it_IT',
		'nl' => 'ro_RO',
		'oc' => '',
		'pl' => 'pl_PL',
		'pt' => 'pt_PT',
		'ro' => 'ro_RO',
		'ru' => 'ru_RU'
	),
	'TEXT' => array(
		'de' => 'de_DE',
		'en' => 'text',
		'es' => 'es_ES',
		'fr' => 'texte',
		'it' => 'it_IT',
		'nl' => 'ro_RO',
		'oc' => '',
		'pl' => 'pl_PL',
		'pt' => 'pt_PT',
		'ro' => 'ro_RO',
		'ru' => 'ru_RU'
	)
);

foreach($langs as $lang) {
	echo $lang . PHP_EOL;
	$lines = array();
	foreach($idioms as $k=>$v) {
		if(!empty(trim($v[$lang]))) {
			$lines[] = <<< EOL
	'$k' => '${v[$lang]}'
EOL;
		}
	}

	if(empty($lines)) { continue; }

	$content = array(
		'<?php',
		'$LANG = array(',
		implode(',' . PHP_EOL, $lines),
		');',
		'?>'
	);
	file_put_contents("lang/$lang.php", implode(PHP_EOL, $content));
}
echo PHP_EOL . 'Done' . PHP_EOL;
?>
