<?php
function error($message) {
	header($_SERVER['SERVER_PROTOCOL'] . ' 403 Bad request');
	header('Content-type: text/plain; charset=utf-8');
	echo $message;
	exit;
}

define('KEY', basename(__DIR__));

$token = filter_input(
	INPUT_POST,
	KEY . '-token',
	FILTER_VALIDATE_REGEXP,
	array(
		'options' => array(
			'regexp' => '#^[0-9A-Za-z]{32}$#'
		)
	)
);

if(!is_string($token)) { error('Bad token'); }

session_start();
// if(empty($_SESSION[basename(__DIR__)][$token])) { error('Unknown token' . PHP_EOL . print_r($_SESSION, true)); }
if(empty($_SESSION[basename(__DIR__)][$token])) { error('Unknown token'); }
if($_SESSION[basename(__DIR__)][$token] < time()) { error('outdated token'); }
if(! filter_has_var(INPUT_POST, KEY . '-content')) { error('No content'); }

$content = trim(str_replace(array('<?php', '<?=', '?>'), '', $_POST[KEY . '-content']));
if(empty($content)) { error('Empty content'); }

include __DIR__ . '/parsedown/Parsedown.php';

$Parsedown = new Parsedown();
$response = $Parsedown->text($content);
header('Content-Type: text/plain; charset=utf-8');
header('Content-length: ' . strlen($response));
header('Expires: Fri, 14 Jul 2000 22:30:00 GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
echo $response;
?>
